#
# spec file for package python-nested-lookup
#
# Copyright (c) 2022 SUSE LLC
# Copyright (c) 2021, Martin Hauke <mardnh@gmx.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-nested-lookup
Version:        0.2.25
Release:        1.4
Summary:        Python functions for working with deeply nested documents (lists and dicts)
License:        SUSE-Public-Domain
Group:          Development/Languages/Python
URL:            https://github.com/russellballestrini/nested-lookup
Source:         https://files.pythonhosted.org/packages/source/n/nested-lookup/nested-lookup-%{version}.tar.gz
Source1:        https://raw.githubusercontent.com/russellballestrini/nested-lookup/307983caa591bfd08a1f414109f640671a4dea51/test_lookup_api.py
Source2:        https://raw.githubusercontent.com/russellballestrini/nested-lookup/master/test_nested_lookup.py
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-six
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module six}
# /SECTION
%python_subpackages

%description
Python functions for working with deeply nested documents (lists and dicts)

%prep
%setup -q -n nested-lookup-%{version}
cp %{SOURCE1} %{SOURCE2} .

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pyunittest -v

%files %{python_files}
%doc README.rst
%{python_sitelib}/nested_lookup*

%changelog
* Thu Sep 29 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update Version 0.2.25
  * Merge pull request #46 from thoscott/master
  * Made my_document a dict instead of a tuple
- Update Version 0.2.23
  * Add test for recursive use of nested_alter
  * Make _nested_alter recursive
  * Fixing docs and adding a boolean test.
  * Change method of checking if a key is in the dictionary.
  * add test for nested_delete where key's value is falsy
  * new release   modified:   README.rst  modified:   setup.py
  * python 2.7 doesn't support type annotations.
  * Update README.rst
  * New release.
  * Update README.rst
  * Rename function
  * Tests of get_occurrence_of_value_with_self_value
  * Add a new method to return count of values and self values
  * Update README.rst
  * Update lookup_api.py
  * Update lookup_api.py
  * Delete unused variables, fix outdated doc
  * Fix wrong-ordered update, create test
  * fix how we load requirements.txt in setup.py
  * more tests cases regarding wild functionality
  * Fix defect where wild would break if document had non string keys.
  * modified:   README.rst  modified:   nested_lookup/__init__.py   modified:   nested_lookup/lookup_api.py         modified:   nested_lookup/nested_lookup.py
    modified:   setup.py    modified:   test_lookup_api.py  modified:   test_nested_lookup.py
- Update Version 0.2.15
- Update Version 0.2.14
  * Fixing CI for python version 2.7
  * Fix for issue #19 (get_all_keys fails if dict are part of list)
  * "nested_alter" and update of "nested_update" (#16)
  * Fix for issue #17 (#18)
  * Update CONTRIBUTING.rst
  * Rename CONTRIBUTORS.rst to CONTRIBUTING.rst
  * Create CONTRIBUTORS.rst
  * Better test to protect against mutation.
  * Add nested_update.in_place argument (#13)
  * Update README.rst
  * modified:   README.rst
  * New Features (nested_update, nested_delete) (#12)
  * Update README.rst
* Fri Jul 24 2020 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v0.2.21
